2019-06-26 18:54 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000784RimWorldGeneralpublic2014-06-18 11:06
ReporterHaplo 
Assigned ToTynan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64-bitOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000784: Language data in mods is not used
DescriptionIf you add the Languages folder in the style of the core Languages folder (e.g. Languages/de-DE/DefInjected/ThingDef/xyz.xml) to a mod it should work as the core Languages folder in that it should provide translated text for the mod.
This doesn't work.
Steps To Reproduce-Load a mod with language data (added workplaces mod or royal bed mod)
-the workplaces mod should (in god mode) add two workplaces with the extension TEST to the production menu. This doesn't change.
-The royal bed mod should rename 'Royal bed' with language de-DE to 'Royal bed in german'. This doesn't change either.
TagsNo tags attached.
Fixed After0.5.476
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2014-05-30 16:12 Haplo New Issue
2014-05-30 16:12 Haplo Status new => assigned
2014-05-30 16:12 Haplo Assigned To => Tynan
2014-05-30 16:12 Haplo File Added: Workplaces_alpha4Test.7z
2014-06-01 07:34 Tynan Summary Mod-Support: Language Import does not work => Language data in mods is not used
2014-06-18 11:06 Tynan Fixed After => 0.5.476
2014-06-18 11:06 Tynan Status assigned => closed
2014-06-18 11:06 Tynan Resolution open => fixed
2014-10-21 14:01 Tynan Category RimWorld => General
+Issue History